Debian DSA-1414-1 : wireshark - several vulnerabilities

Critical Nessus Plugin ID 28337

Synopsis

The remote Debian host is missing a security-related update.

Description

Several remote vulnerabilities have been discovered in the Wireshark network traffic analyzer, which may lead to denial of service or execution of arbitrary code. The Common Vulnerabilities and Exposures project identifies the following problems :

- CVE-2007-6114 Stefan Esser discovered a buffer overflow in the SSL dissector.'Fabiodds' discovered a buffer overflow in the iSeries trace dissector.

- CVE-2007-6117 A programming error was discovered in the HTTP dissector, which may lead to denial of service.

- CVE-2007-6118 The MEGACO dissector could be tricked into resource exhaustion.

- CVE-2007-6120 The Bluetooth SDP dissector could be tricked into an endless loop.

- CVE-2007-6121 The RPC portmap dissector could be tricked into dereferencing a NULL pointer.

Solution

Upgrade the wireshark/ethereal packages.

For the old stable distribution (sarge), these problems have been fixed in version 0.10.10-2sarge10. (In Sarge Wireshark used to be called Ethereal). Updated packages for sparc and m68k will be provided later.

For the stable distribution (etch), these problems have been fixed in version 0.99.4-5.etch.1. Updated packages for sparc will be provided later.

See Also

https://security-tracker.debian.org/tracker/CVE-2007-6114

https://security-tracker.debian.org/tracker/CVE-2007-6117

https://security-tracker.debian.org/tracker/CVE-2007-6118

https://security-tracker.debian.org/tracker/CVE-2007-6120

https://security-tracker.debian.org/tracker/CVE-2007-6121

https://www.debian.org/security/2007/dsa-1414

Plugin Details

Severity: Critical

ID: 28337

File Name: debian_DSA-1414.nasl

Version: 1.19

Type: local

Agent: unix

Published: 2007/11/29

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: Critical

CVSS v2.0

Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:wireshark, cpe:/o:debian:debian_linux:3.1, cpe:/o:debian:debian_linux:4.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/11/27

Reference Information

CVE: CVE-2007-6114, CVE-2007-6117, CVE-2007-6118, CVE-2007-6120, CVE-2007-6121

DSA: 1414

CWE: 20, 119